Xerces-C++ 3.1.3

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Protected Attributes | List of all members
SAXException Class Reference

Encapsulate a general SAX error or warning. More...

Inheritance diagram for SAXException:

## Public Member Functions

Constructors and Destructor
| SAXException (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Default constructor.
| SAXException (const XMLCh *const msg, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Create a new SAXException.
| SAXException (const char *const msg, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Create a new SAXException.
| SAXException (const SAXException &toCopy)
| Copy constructor.
virtual | ~SAXException ()
| Destructor.
Public Operators
SAXException & | operator= (const SAXException &toCopy)
| Assignment operator.
Getter Methods
virtual const XMLCh * | getMessage () const
| Get the contents of the message.
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new.
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation.
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new.
void | operator delete (void *p)
| This method overrides operator delete.
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new.
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new.

## Protected Attributes

XMLCh * | fMsg
MemoryManager * | fMemoryManager

## Additional Inherited Members

Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor.

## Detailed Description

Encapsulate a general SAX error or warning.

This class can contain basic error or warning information from either the XML SAX parser or the application: a parser writer or application writer can subclass it to provide additional functionality. SAX handlers may throw this exception or any exception subclassed from it.

If the application needs to pass through other types of exceptions, it must wrap those exceptions in a SAXException or an exception derived from a SAXException.

If the parser or application needs to include information about a specific location in an XML document, it should use the SAXParseException subclass.

See Also
  SAXParseException::SAXParseException

## Constructor & Destructor Documentation

SAXException::SAXException | ( | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` | ) |

Default constructor.

Parameters

  manager | Pointer to the memory manager to be used to allocate objects.

SAXException::SAXException | ( | const XMLCh *const | msg,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

Create a new SAXException.

Parameters

  msg | The error or warning message.
  manager | Pointer to the memory manager to be used to allocate objects.

SAXException::SAXException | ( | const char *const | msg,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

Create a new SAXException.

Parameters

  msg | The error or warning message.
  manager | Pointer to the memory manager to be used to allocate objects.

SAXException::SAXException | ( | const SAXException & | toCopy | ) |

Copy constructor.

Parameters

  toCopy | The exception to be copy constructed

virtual SAXException::~SAXException | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

virtual const XMLCh* SAXException::getMessage | ( |  | ) | const

virtual

Get the contents of the message.

SAXException& SAXException::operator= | ( | const SAXException & | toCopy | ) |

Assignment operator.

Parameters

  toCopy | The object to be copied

References fMemoryManager, fMsg, and XMLString::replicate().

## Member Data Documentation

MemoryManager* SAXException::fMemoryManager

protected

Referenced by operator=().

XMLCh* SAXException::fMsg

protected

Referenced by operator=().

The documentation for this class was generated from the following file:

- SAXException.hpp